/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : April, 1997                                                    */
/* File Name : OperationList.h                                           */
/*************************************************************************/
/*************************************************************************/

#ifndef _OperationList_h
#define _OperationList_h

#include "Operation.h"

class OperationList
{  private :
     int JobNumber;
     Operation *OperList;
     int index;
     int MaxOpNumber;
     int *Mark;

   public :

     ~OperationList();

     OperationList();

     OperationList(const OperationList&);

     OperationList(int, int);

     addOperation(Operation );

     getNumberOfOperation();

     setNumberOfOperation(int);

     getJobNumber();

     getOperationIndex(Operation);

     Operation * getOperation(int);

     deleteOperation(int);

     Operation * getOperationWithFacilityIndex(int);

     Operation * getOperationWithIndex(int);

     void print();

     void shrink();

     operator ==(const OperationList &OList);

     OperationList operator =(const OperationList &OList);

     friend ostream & operator <<(ostream &os, const OperationList &Olist);

};// end of class OPERATIONLIST

#endif
